Package org.oasis_open.docs.ws_calendar.ns.soap

# Class PropertiesSelectionType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.PropertiesSelectionType

public class PropertiesSelectionType extends Object
Used to contain updates to properties. These updates are either a selection of a property to apply a change and/or to update the parameters or addition or removal of properties. Removals MUST be processed ahead of additions.

Java class for PropertiesSelectionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PropertiesSelectionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="property" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}PropertySelectionType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="remove" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}PropertyReferenceType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="add" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}PropertyReferenceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<PropertyReferenceType>`
  `add`
  `protected List<PropertySelectionType>`
  `property`
  `protected List<PropertyReferenceType>`
  `remove`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertiesSelectionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<PropertyReferenceType>`
  `getAdd()`
  Gets the value of the add property.
  `List<PropertySelectionType>`
  `getProperty()`
  Gets the value of the property property.
  `List<PropertyReferenceType>`
  `getRemove()`
  Gets the value of the remove property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### property

    protected List<PropertySelectionType> property

  - ### remove

    protected List<PropertyReferenceType> remove

  - ### add

    protected List<PropertyReferenceType> add

- ## Constructor Details

  - ### PropertiesSelectionType

    public PropertiesSelectionType()

- ## Method Details

  - ### getProperty

    public List<PropertySelectionType> getProperty()
    Gets the value of the property property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the property property.

    For example, to add a new item, do as follows:

            getProperty().add(newItem);

    Objects of the following type(s) are allowed in the list `PropertySelectionType`

  - ### getRemove

    public List<PropertyReferenceType> getRemove()
    Gets the value of the remove property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the remove property.

    For example, to add a new item, do as follows:

            getRemove().add(newItem);

    Objects of the following type(s) are allowed in the list `PropertyReferenceType`

  - ### getAdd

    public List<PropertyReferenceType> getAdd()
    Gets the value of the add property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the add property.

    For example, to add a new item, do as follows:

            getAdd().add(newItem);

    Objects of the following type(s) are allowed in the list `PropertyReferenceType`